
Infrastructure - Task #2221

Story # 2067 (Closed): Refactor the index task generator and processor to improve scalability and performance

Update Task Generation to act only on 'update' events

2012-01-12 20:47 - Skye Roseboom

Status: Closed Start date: 2012-01-12

Priority: Normal Due date:  

Assignee: Skye Roseboom % Done: 100%

Category: d1_indexer Estimated time: 0.00 hour

Target version: Sprint-2012.05-Block.1.3   

Milestone: CCI-1.0.0 Story Points:  

Product Version: *   

Description

Related to how hzcast generates map added events for items that have previously been in the map, but evicted.  When the item is

re-added to distributed map, and 'add' event is called.

Only listen for update events on the system metadata map.

This change mean the IndexTask priority between add/update is no longer useful.  Remove/update priority handling logic - no longer

can tell and add form and update.

History

#1 - 2012-01-12 21:11 - Skye Roseboom

- Status changed from New to In Progress

#2 - 2012-01-13 18:44 - Skye Roseboom

Changing strategy to account for previously evicted items being re-added to system metadata map:

on add event, check the serial version - if greater than 1 - this not a true add, should represent an item re-added to map after eviction.

#3 - 2012-01-13 20:01 - Skye Roseboom

added serial version check to add event handling logic.  Add event is ignored if systemMetadata.serialVersion > 1.  When the value is greater than 1,

this indicates an add event generated when a previously evicted entry is added back into the distributed map.

#4 - 2012-01-13 20:01 - Skye Roseboom

- Status changed from In Progress to Closed
